/*	-------------------------------------------------
 * 	Script:		utils_all.js
 * 	Author:		Neil Thomas
 * 	Last Edit:	14th Feb 2023
 * 	Based on:	/js/utilFTPnow.html & util_reloaddayfile.html
 * 			By:	Mark Crossley
 *		Edited:	2022/07/28 20:43:08 & 2022/07/28 20:44:09
 * 	------------------------------------------------*/

$(document).ready( function() {
    $("#startFtp").click(function(event) {
		$('#ftp_status').text('Running...');
		$("#startFtp").click(function(event) {
                $('#status').text('');
                $.post(
                    "/api/utils/ftpnow.json",
                    '{"dailygraphs":' + $('#dailygraphs').prop('checked') +
                        ',"noaa":' + $('#noaa').prop('checked') +
                        ',"graphs:' + $('#graphs').prop('checked') + '}',
                ).done(function (response) {
                    $('#status').text(response);
                }).fail(function (jqXHR, response) {
                    $('#status').text(response);
                });
            });
		
		
		/*
		$.post(
			"/api/utils/ftpnow.json",
			{data: "{'dailygraphs':" + $('#dailygraphs').prop('checked') + "}"},
			)
			.done(function (response) {
				$('#ftp_status').text(response.result)
			})
			.fail(function (jqXHR, response) {
				$('#ftp_status').text(response)
			});
			
			*/
		timeOut("ftp_status");
	});

    $("#reload").click(function(event) {
		$('#dayfile_status').text('Re-loading');
			$.ajax({
				url: "/api/utils/reloaddayfile",
				dataType: 'text'
			})
			.done(function (response) {
				$('#dayfile_status').text(response)
			})
			.fail(function (jqXHR, response) {
				$('#dayfile_status').text(response)
			});
		timeOut("dayfile_status");
    });

});

//  --  Timout for status messages        
let timeOut = function(elId) {
    window.setTimeout( function(){$("#" + elId).html("&nbsp;");}, 8000);
};
